Debian Bug report logs - #695435
ITP: scanbd -- scanner button daemon acting on events such as button presses, etc.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>

Date: Sat, 8 Dec 2012 03:21:02 UTC

Owned by: Rolf Leggewie <foss@rolf.leggewie.biz>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bugs@rolf.leggewie.biz, debian-devel@lists.debian.org, jwilk@debian.org, 612694@bugs.debian.org, wilhelm.meier@fh-kl.de, wnpp@debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#695435; Package wnpp. (Sat, 08 Dec 2012 03:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
New Bug report received and forwarded. Copy sent to debian-bugs@rolf.leggewie.biz, debian-devel@lists.debian.org, jwilk@debian.org, 612694@bugs.debian.org, wilhelm.meier@fh-kl.de, wnpp@debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>. (Sat, 08 Dec 2012 03:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: scanbd -- scanner button daemon acting on events such as button presses, etc.
Date: Sat, 08 Dec 2012 04:17:06 +0100
Package: wnpp
Severity: wishlist
Owner: Rolf Leggewie <foss@rolf.leggewie.biz>

* Package name    : scanbd
  Version         : 1.2.1
  Upstream Author : Wilhelm Meier <wilhelm.meier@fh-kl.de>
* URL             : http://sf.net/projects/scanbd
* License         : GPL v2 or later
  Description     : scanner button daemon acting on events such as button presses, etc.

"scanbd is a scanner button daemon. It polls the scanner buttons looking
for buttons pressed or function knob changes or other scanner events as
paper inserts / removals and at the same time allows also
scan-applications to access the scanners. If buttons are pressed, etc.,
various actions can be submitted (scan, copy, email, ...) via action
scripts. The function knob values are passed to the action-scripts as
well. Scan actions are also signaled via dbus. This can be useful for
foreign applications. Scans can also be triggered via dbus from foreign
applications. On platforms which support signaling of dynamic device
insertion / removal (libudev, dbus, hal) scanbd supports this as well.
scanbd can use all sane-backends or some special backends from the (old)
scanbuttond project."

I'm at a very early stage of evaluating scanbd for my needs. I may end up
not using the software, but I still wanted to make it known out there that
I'm interested and working on it.  I'm cc'ing Jakub who has an open ITP
for scanbuttond which seems to be stalled upstream for about two years now
and apparently superseded by scanbd.  I welcome collaboration by Jakub and
anyone else interested.

I'll probably publish some WIP work at http://anonscm.debian.org/gitweb/?p=collab-maint/scanbd.git
soonish.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#695435; Package wnpp. (Sat, 12 Oct 2013 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Matthias Hahn <pmhahn@pmhahn.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>. (Sat, 12 Oct 2013 14:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 695435@bugs.debian.org (full text, mbox):

From: Philipp Matthias Hahn <pmhahn@pmhahn.de>
To: 695435@bugs.debian.org
Subject: ITP: scanbd -- scanner button daemon acting on events such as button presses, etc.
Date: Sat, 12 Oct 2013 16:29:51 +0200
[Message part 1 (text/plain, inline)]
I just has a look at scanbd myself and created a quick package using
systemd. I abandoned it, since scanbd does not satisfy my current
expectation, but I still don't want to get my work lost. Feel free to
re-use for you work.

(the package required the sane configuration files /etc/sane.d/dll.conf and
/etc/sane.d/saned.conf to be modified, which is AFAIK not allowed by
policy)

PS: there's the new version 1.3.1
-- 
Philipp Matthias Hahn <pmhahn@debian.org>
 GPG/PGP: 9A540E39 @ keyrings.debian.org
[scanbd_1.3.1-1.debian.tar.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>:
Bug#695435; Package wnpp. (Sat, 19 Oct 2013 11:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Rolf Leggewie <foss@rolf.leggewie.biz>. (Sat, 19 Oct 2013 11:48:05 GMT) Full text and rfc822 format available.

Message #15 received at 695435@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Philipp Matthias Hahn <pmhahn@pmhahn.de>, 695435@bugs.debian.org
Subject: Re: Bug#695435: ITP: scanbd -- scanner button daemon acting on events such as button presses, etc.
Date: Sat, 19 Oct 2013 16:40:16 +0800
On 12.10.2013 22:29, Philipp Matthias Hahn wrote:
> I just has a look at scanbd myself and created a quick package using
> systemd. I abandoned it, since scanbd does not satisfy my current
> expectation, but I still don't want to get my work lost. Feel free to
> re-use for you work.

Philipp Matthias,

vielen Dank für den Hinweis.  Did you publish your work anywhere?  Feel
free to push to a branch in git.debian.org.  I have set up a repo there
already for scanbd and mentioned the URL in this ticket previously, I think.

Regards

Rolf



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:39:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.